libhibernate3-java (3.6.10.Final-12) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2:
    - Setting Rules-Requires-Root: no
  * Build-depending on liblog4j1.2-java (Closes: #1028663)
  * Removing unneeded versioned B-D on maven-debian-helper
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 Jan 2023 17:13:22 +0100

libhibernate3-java (3.6.10.Final-11) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2020-25638:
    A flaw was found in hibernate-core. A SQL injection in the implementation
    of the JPA Criteria API can permit unsanitized literals when a literal is
    used in the SQL comments of the query. This flaw could allow an attacker to
    access unauthorized information or possibly conduct further attacks. The
    highest threat from this vulnerability is to data confidentiality and
    integrity.
  * Declare compliance with Debian Policy 4.5.1.
  * Switch to debhelper-compat = 13.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Jan 2021 16:45:50 +0100

libhibernate3-java (3.6.10.Final-10) unstable; urgency=medium

  * Depend on libgeronimo-validation-1.1-spec-java
    instead of libgeronimo-validation-1.0-spec-java
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 21 Jun 2020 12:40:19 +0200

libhibernate3-java (3.6.10.Final-9) unstable; urgency=medium

  * Team upload.
  * Removed the -java-doc package to work around the build failure with Java 9
    (Closes: #893240)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889383)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Refreshed debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Apr 2018 23:07:02 +0200

libhibernate3-java (3.6.10.Final-8) unstable; urgency=medium

  * Team upload.
  * Depend on libgeronimo-jta-1.2-spec-java instead of glassfish-javaee
  * Added an explicit dependency on libcommons-collections3-java
  * Added the libgeronimo-jpa-2.0-spec-java dependency on the binary package
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Nov 2017 23:08:27 +0100

libhibernate3-java (3.6.10.Final-7) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871872)
  * Update copyright info to format 1.0.

  [ Emmanuel Bourg ]
  * Added the missing build dependency on junit
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 03 Sep 2017 14:38:43 +0200

libhibernate3-java (3.6.10.Final-6) unstable; urgency=medium

  * Team upload.
  * Removed the dependency on maven-enforcer-plugin
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Nov 2016 00:13:12 +0100

libhibernate3-java (3.6.10.Final-5) unstable; urgency=medium

  * Team upload.
  * Added the missing libantlr-java dependency (Closes: #829388)
  * Depend on libcglib-java instead of libcglib3-java
  * Added the libh2-java build dependency and enabled the H2 tests
  * Removed the unnecessary patches
  * Build with maven-debian-helper instead of CDBS
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 00:45:07 +0200

libhibernate3-java (3.6.10.Final-4) unstable; urgency=medium

  * Team upload.
  * Ignore the dependencies on wagon and maven-scm (Closes: #797439)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 30 Aug 2015 23:14:22 +0200

libhibernate3-java (3.6.10.Final-3) unstable; urgency=medium

  * Depend on libcglib3-java instead of libcglib-java
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Oct 2014 12:13:41 +0200

libhibernate3-java (3.6.10.Final-2) unstable; urgency=low

  * Use canonical URLs for the Vcs-* fields
  * Build depend on a recent version of maven-debian-helper to ensure
    the jars are properly installed in /usr/share/java (Closes: #713139)
  * Install the cleaned up tarball in the parent directory

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Jun 2013 13:00:36 +0200

libhibernate3-java (3.6.10.Final-1) unstable; urgency=low

  * Team Upload
  * New upstream release
  * Refreshed the patches
  * Added the main runtime dependencies to libhibernate3-java
    (Closes: #705412)
  * Removed the deprecated DMUA flag
  * Updated Standards-Version to 3.9.4 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 11 May 2013 01:38:09 +0200

libhibernate3-java (3.6.9.Final-2) unstable; urgency=low

  * Fix FTBFS by don't installing maven artifacts during build time when
    the version of the package being built is equal to the one available in
    the archive. (Closes: #653521).

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 14 Jan 2012 09:31:42 -0430

libhibernate3-java (3.6.9.Final-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * New upstream release.

  [ James Page ]
  * Fix FTBFS with OpenJDK 7 (Closes: #651810):
    - d/maven.properties: Specify source file encoding to fix Java
      encoding errors during Javadoc generation with OpenJDK7.
  * Add Build-Depends on libmaven-install-plugin-java to avoid incremental
    builds with new versions.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 25 Dec 2011 22:00:51 -0430

libhibernate3-java (3.6.8.Final-1) unstable; urgency=low

  * New upstream release.
  * Remove 0004-strict-type-inference-with-generics-code patch.
    It was merged upstream.
  * Remove debian/source/local-options.
    abort-on-upstream-changes option is now default in dpkg-source.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 27 Nov 2011 17:44:57 -0430

libhibernate3-java (3.6.7.Final-1) unstable; urgency=low

  * Team Upload.

  [Miguel Landaeta]
  * New upstream release.

  [tony mancill]
  * Set DMUA flag to allow DM uploads.

 -- tony mancill <tmancill@debian.org>  Tue, 04 Oct 2011 18:46:17 -0700

libhibernate3-java (3.6.4.Final-2) unstable; urgency=low

  * Upload to unstable.
  * Remove workaround for missing 1.2.x symlink for log4j.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 07 Jun 2011 19:43:21 -0430

libhibernate3-java (3.6.4.Final-1) experimental; urgency=low

  * New upstream release.
  * Add lintian override for codeless-jar.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 03 Jun 2011 12:18:32 -0430

libhibernate3-java (3.6.3.Final-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add workaround for missing 1.2.x symlink for log4j.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 26 Apr 2011 16:50:53 -0430

libhibernate3-java (3.6.1.Final-1) UNRELEASED; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove duplicated Build-Depends-Indep on libgeronimo-jacc-1.1-spec-java.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 28 Feb 2011 19:46:48 -0430

libhibernate3-java (3.5.6.Final-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update watch files.
  * Generate orig tarball from Sourceforge project website instead of
    the deprecated svn repository hosted at JBoss website.
  * Remove duplicated Build-Depends-Indep on libgeronimo-jacc-1.1-spec-java.
  * Add myself to Uploaders.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 25 Feb 2011 23:53:28 -0430

libhibernate3-java (3.5.4.Final-5) unstable; urgency=medium

  * d/patches/0004-strict-type-inference-with-generics-code.patch:
    Fix RC #606295 by using stricter generic typing.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 28 Dec 2010 02:04:17 +0100

libhibernate3-java (3.5.4.Final-4) unstable; urgency=medium

  [ Miguel Landaeta ]
  * debian/rules: Fix clean target. (Closes: #594145).
  * Bump Standards-Version to 3.9.1. No changes were required.

  [ Torsten Werner ]
  * Add javadocs. (Closes: #594441)
  * Set urgency to medium because we are fixing RC and documentation bugs.
  * Update Vcs headers in debian/control to match reality.

 -- Torsten Werner <twerner@debian.org>  Thu, 26 Aug 2010 23:18:51 +0200

libhibernate3-java (3.5.4.Final-3) unstable; urgency=high

  * Add Conflicts/Provides/Replaces libhibernate-entitymanager-java.
    (Closes: #593254)
  * Set urgency to high because we are fixing a RC bug.

 -- Torsten Werner <twerner@debian.org>  Mon, 16 Aug 2010 22:53:25 +0200

libhibernate3-java (3.5.4.Final-2) unstable; urgency=low

  * Upload to unstable. (Closes: #589501)

 -- Torsten Werner <twerner@debian.org>  Tue, 03 Aug 2010 21:53:39 +0200

libhibernate3-java (3.5.4.Final-1) experimental; urgency=low

  * New upstream version

 -- Torsten Werner <twerner@debian.org>  Wed, 28 Jul 2010 19:22:09 +0200

libhibernate3-java (3.5.2.Final-4) experimental; urgency=low

  * Add Provides and Replaces: libhibernate-annotations-java.
  * Replace ehcache by ehcache-core in debian/maven.rules.

 -- Torsten Werner <twerner@debian.org>  Wed, 23 Jun 2010 22:31:10 +0200

libhibernate3-java (3.5.2.Final-3) experimental; urgency=low

  * Create compatibility symlink /usr/share/java/hibernate3.jar pointing to
    hibernate-core.jar.

 -- Torsten Werner <twerner@debian.org>  Tue, 22 Jun 2010 21:41:07 +0200

libhibernate3-java (3.5.2.Final-2) experimental; urgency=low

  * Build annotations and JDK6 modules.

 -- Torsten Werner <twerner@debian.org>  Tue, 15 Jun 2010 23:58:32 +0200

libhibernate3-java (3.5.2.Final-1) experimental; urgency=low

  * New upstream version (Closes: #582558)
  * Create orig tarball from SVN tag.
  * Clean up the debian directory.
  * Use Maven to build the package.

 -- Torsten Werner <twerner@debian.org>  Sun, 30 May 2010 23:16:42 +0200

libhibernate3-java (3.3.2.GA-2) unstable; urgency=low

  * Switch to gcj-jdk.
  * Add encoding attribute to javadoc task.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Tue, 13 Apr 2010 00:12:28 +0200

libhibernate3-java (3.3.2.GA-1) unstable; urgency=low

  * New upstream release.
    - Drop asm.diff and cglib.diff: merged upstream
  * Update my email address
  * Build-Depends on debhelper (>= 7)
  * Build-Depends on libcglib-java instead of libcglib2.1-java
    - libcglib-java now provide cglib 2.2
  * Build-Depends on libasm3-java instead of libasm-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 08 Oct 2009 22:21:14 +0200

libhibernate3-java (3.3.1.GA+dak1-5) unstable; urgency=low

  * Fix the installation of the jar file. (Closes: #545643)

 -- Torsten Werner <twerner@debian.org>  Tue, 08 Sep 2009 22:23:16 +0200

libhibernate3-java (3.3.1.GA+dak1-4) unstable; urgency=low

  [ Torsten Werner ]
  * Set nowarn="true" in javac task in debian/build.xml.
  * Add asm to DEB_JARS in debian/rules.

  [ Damien Raude-Morvan ]
  * Add myself as Uploaders
  * Build with java-gcj-compat-dev instead of default-jdk (OpenJDK-6) as
    Hibernate FTBFS with JDBC4 API. (Closes: #543085)
    <http://opensource.atlassian.com/projects/hibernate/browse/HHH-2412>
  * Bump Standards-Version to 3.8.3:
    - Move to "java" section of Debian archive
    - Move debian/README.Debian-source to debian/README.source
    - Describe quilt patch system in debian/README.source
  * debian/control:
    - Move ant and java-gcj-compat-dev to B-D-I (needed for clean target)
    - Fix Vcs-Svn field (use svn access instead of svn+ssh)
    - Add ${misc:Depends} for every binary package
  * debian/copyright:
    - Update copyright years
    - Update files locations regarding upstream tarball
    - Use LGPL-2.1 instead of LGPL symlink
  * Javadoc API:
    - Install Javadoc API to /usr/share/doc/libhibernate3-java/api/
    - Register with doc-base

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 31 Aug 2009 21:48:32 +0200

libhibernate3-java (3.3.1.GA+dak1-3) unstable; urgency=low

  * Build jboss-cache2, c3p0 and proxool components.
  * Improve (Build-)Depends. (Closes: #508509)

 -- Torsten Werner <twerner@debian.org>  Fri, 26 Dec 2008 19:00:14 +0100

libhibernate3-java (3.3.1.GA+dak1-2) unstable; urgency=low

  * Really build the jmx component.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Nov 2008 16:24:22 +0100

libhibernate3-java (3.3.1.GA+dak1-1) unstable; urgency=low

  * Move package to main.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Nov 2008 20:11:21 +0100

libhibernate3-java (3.3.1.GA-2) unstable; urgency=low

  * Build all subprojects except jbosscache2.

 -- Torsten Werner <twerner@debian.org>  Wed, 12 Nov 2008 23:00:41 +0100

libhibernate3-java (3.3.1.GA-1) unstable; urgency=low

  * New upstream release
  * Add patch cglib.diff to revert cglib repackaging.
  * Add patch asm.diff to revert asm repackaging.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Nov 2008 20:39:16 +0100

libhibernate3-java (3.3.0.CR1-2) unstable; urgency=low

  [ Torsten Werner ]
  * Simplify debian/watch.

  [ Varun Hiremath ]
  * Include upstream provided *.dtd files in the jar (Closes: #496912)

 -- Varun Hiremath <varun@debian.org>  Thu, 18 Sep 2008 01:18:44 -0400

libhibernate3-java (3.3.0.CR1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0
  * Add new build.xml and ant.properties file to build jars
  * Update debian/watch file
  * Add libslf4j-java to Build-Depends
  * Add missing dependencies (Closes: #488119)
  * Remove debian/libhibernate3-java.install, not required
  * Update orig-tar.sh and orig-tar.exclude files
  * debian/copyright: remove the full text of Apache 2.0 license, as now
    is included in common licenses

 -- Varun Hiremath <varun@debian.org>  Sat, 05 Jul 2008 01:07:59 +0530

libhibernate3-java (3.2.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Sat, 16 Feb 2008 01:42:42 +0530

libhibernate3-java (3.2.5-1) unstable; urgency=low

  * Initial Release (closes: #385569).

 -- Torsten Werner <twerner@debian.org>  Sun, 14 Oct 2007 14:43:34 +0200
